Subject: [Sipping] RE: draft-stein-great-00.txt

From: "Yaakov Stein" <[email-masked]>
Date: Fri, 7 Oct 2005 15:27:40 +0200

> What is the purpose of this draft? Do you want the IETF to 
> stop all work related to real-time traffic and stick to 
> SDH/ISDN? Or do you want better VoIP? If you want the latter, 
> please remove the PSTN nostalgia from the document. It does 
> not help to start a real discussion.

I don't see the point of removing the PSTN portion.

If you were trying to sell a new kind of vacuum cleaner
you would first understand what the present generation
of vacuum cleaner does, and see where you are better
and where possibly worse.

If you tell people "I have a better vacuum, but it belches
dust on your furniture" and they aren't interested,
then you haven't done your homework.

Another important point has to do with the IMS work
being done at ETSI and the NGN work at the ITU.
In these projects it is expected for the two networks
to coexist side-by-side for a long while,
and to hand-off calls from one to the other.
as the user should be "almost" incognizant to these
interactions, the principles of the PSTN are VERY important.

> You are comparing a network that was designed and optimized 
> for a single application -- 4 kHz voice -- with a general 
> purpose network that was deliberately >>not<< optimized for 
> one kind of traffic. It's no wonder that the special purpose 
> network has some advantages for its one and only application.

Televisions were designed for a single application.
Does that mean that they necessarily outperform home entertainment
centers that can play CDs, DVDs, and television programs?

> draft-stein-great-00.txt:
<snip>
> These are all interestings topics. Some of them go deep into 
> audio signal processing. I am not sure whether the IETF is 
> the right forum for those.

SIPPING is certainly not the right forum,
and I am quite surprised that there is discussion going on here
on this subject.

There are definite advantages to working on these subjects in the IETF.

In the ITU the DSP expertise is in one study group, 
while the network expertise is in another.
Unlike IETF meetings, SGs don't meet at the same time,
and so there is practically no interaction between them
(other than short liaison statements).

Various DSP conferences exist, but they are not standardization forums, 
there are many talks but there is little cooperative work, 
and most participants don't understand network issues. 

> Excessive jitter and packet loss are signs of congestion. The 
> solution is the same as for PSTN congestion: sufficient dimensioning.

That is the brute-force solution (and is not a bad idea ...)
but in addition to network engineering (i.e. throwing BW at the problem)
and traffic engineering (i.e. directing traffic to where there is BW)
we need applicaiton engineering (making due with what we get).

> Adapting real-time flows to congested links is already 
> explored in the DCCP WG (you are already contributing there).

DCCP is a great example of the problems that arise
when different camps don't interact. From what I see the
main use of a congestion-aware non-reliable protocol
is VoIP and similar delay-sensitive applications
(if they are not delay sensitive - why not use TCP?).
But the protocol was defined without taking VoIP into
account until Tom's work brought VoIP into focus.

> > Reduction of the connection setup delay, and the related delays for 
> > entering/exiting fax-relay and modem-relay modes is an important 
> > signalling problem to be solved.
> Let's hope that such perversions will vanish quickly!

Amen.

Y(J)S

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP